build:
	nix-build -A sdl-gpu-th.components.exes.sdl-gpu-th
.PHONY: build

run: build
	./result/bin/sdl-gpu-th
.PHONY: run

windows:
	nix-build -A projectCross.mingwW64.hsPkgs.sdl-gpu-th.components.exes.sdl-gpu-th
.PHONY: windows

windows-run: windows
	nix-shell -p wineWowPackages.stable --run 'WINE_PREFIX=~/.macaroni.nix.wine64 wine64 ./result/bin/sdl-gpu-th.exe'
.PHONY: windows-run
